Remmina Package Issue

Just after install, I ran into an issue with Remmina not connecting with remote desktop. Come to find out, one of the previous steps I had taken had uninstalled the remmina-plugin-rdp package. I was able to download it and install it, but it broke apt-get.

Here’s the error message:

<br />
sudo apt install remmina remmina-plugin-rdp remmina-plugin-vnc remmina-plugin-nx<br />
[sudo] password for skp:<br />
Reading package lists... Done<br />
Building dependency tree<br />
Reading state information... Done<br />
You might want to run 'apt --fix-broken install' to correct these.<br />
The following packages have unmet dependencies:<br />
 libgoo-canvas-perl : Depends: libextutils-depends-perl but it is not going to be installed<br />
                      Depends: libextutils-pkgconfig-perl but it is not going to be installed<br />
 remmina : Depends: remmina-common (= 1.2.30+ppa201805311012.rabac8fe.dc846e39~ubuntu18.04.1) but 1.2.30+ppa201805301643.rabac8fe.d627b4d9~ubuntu18.04.1 is to be installed<br />
 remmina-plugin-nx : Depends: nxproxy<br />
 remmina-plugin-secret : Depends: remmina (= 1.2.30+ppa201805301643.rabac8fe.d627b4d9~ubuntu18.04.1)<br />
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).<br />

I had previously enabled this repository.
http://ppa.launchpad.net/remmina-ppa-team/remmina-next/ubuntu

That had given me version: 1.2.30.1 (git n/a)

I disabled the repository using the software and updates GUI. Then, I ran these commands:

<br />
sudo apt-get update<br />
sudo apt --fix-broken install<br />

Somehow it was enabled again. So, it seems it is fixed even with that repository.

Resources

Leave a Comment

Your email address will not be published. Required fields are marked *